Trust Centers
Approve Trust Center access request
Approves an access request on a Trust Center.
POST
/
trust-centers
/
{slugId}
/
access-requests
/
{accessRequestId}
/
approve
Approve Trust Center access request
curl --request POST \
--url https://api.vanta.com/v1/trust-centers/{slugId}/access-requests/{accessRequestId}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expirationDate": "2023-11-07T05:31:56Z",
"isNdaRequired": true,
"resourceIds": [
"<string>"
]
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/access-requests/{accessRequestId}/approve"
payload = {
"expirationDate": "2023-11-07T05:31:56Z",
"isNdaRequired": True,
"resourceIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expirationDate: '2023-11-07T05:31:56Z',
isNdaRequired: true,
resourceIds: ['<string>']
})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/access-requests/{accessRequestId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The date access should expire for this viewer. If a date isn't provided, access will not expire.
Whether to require an NDA for the viewer. Defaults to true.
Identifiers for the resources that this viewer should have access to. If this field is omitted, the viewer will have access to all resources that they requested.
Approved access level of the viewer. If this field is omitted, the viewer will have the access level they requested.
Available options:
FULL_ACCESS, PARTIAL_ACCESS Response
204
No content
Was this page helpful?
⌘I
Approve Trust Center access request
